
%global pypi_name bz2file
%global global_sum Read and write bzip2-compressed files
%global global_desc							\
%{pypi_name} is a Python library for reading and writing		\
bzip2-compressed files.							\
									\
It contains a drop-in replacement for the file interface in the		\
standard library’s bz2 module, including features from the latest	\
development version of CPython that are not available in older releases.


Name:		python-%{pypi_name}
Version:	0.98
Release:	8%{?dist}
Summary:	%{global_sum}

License:	ASL 2.0
URL:		https://pypi.python.org/pypi/%{pypi_name}
Source0:	https://files.pythonhosted.org/packages/source/b/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:	noarch

%description
%{global_desc}


%package -n python3-%{pypi_name}
Summary:	%{global_sum}

BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
BuildRequires:	python3-test

%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
%{global_desc}


%prep
%autosetup -n %{pypi_name}-%{version}
%{__rm} -fr *.egg*


%build
%py3_build


%install
%py3_install


%check
%{__python3} test_bz2file.py


%files -n python3-%{pypi_name}
%doc PKG-INFO
%{python3_sitelib}/__pycache__/%{pypi_name}.cpython-%{python3_version_nodots}*.py?
%{python3_sitelib}/%{pypi_name}.py
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Wed Oct 17 2018 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.98-8
- Subpackage python2-bz2file has been removed
  See https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.98-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.98-6
- Rebuilt for Python 3.7

* Sun Feb 11 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.98-5
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.98-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.98-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed Apr 26 2017 Björn Esser <besser82@fedoraproject.org> - 0.98-2
- Add missing BuildRequires: python-test, really needed on EPEL7

* Wed Apr 26 2017 Björn Esser <besser82@fedoraproject.org> - 0.98-1
- Initial rpm-release (rhbz#1442743)

* Mon Apr 17 2017 Björn Esser <besser82@fedoraproject.org> - 0.98-0.1
- Initial rpm-release (rhbz#1442743)
